# parse-author [![NPM version](https://img.shields.io/npm/v/parse-author.svg)](https://www.npmjs.com/package/parse-author) [![Build Status](https://img.shields.io/travis/jonschlinkert/parse-author.svg)](https://travis-ci.org/jonschlinkert/parse-author)

> Parse a string into an object with `name`, `email` and `url` properties following npm conventions. Useful for the `authors` property in package.json or for parsing an AUTHORS file into an array of authors objects.

## Install

Install with [npm](https://www.npmjs.com/):

```sh
$ npm i parse-author --save
```

## Usage

```js
var authors = require('parse-author');

authors('Jon Schlinkert <jon.schlinkert@sellside.com> (https://github.com/jonschlinkert)');
//=> {name: 'Jon Schlinkert', email: 'jon.schlinkert@sellside.com', url: 'https://github.com/jonschlinkert'}
```

Any of the properties can be used or missing:

```js
authors('')
//=> {name: '', email: '', url: ''}

authors('Jon Schlinkert (https://github.com/jonschlinkert)');
//=> {name: 'Jon Schlinkert', email: '', url: 'https://github.com/jonschlinkert'}
```

## Generate docs

Generate readme and API documentation with [verb](https://github.com/verbose/verb):

```sh
$ npm i -d && npm run docs
```

Or, if [verb](https://github.com/verbose/verb) is installed globally:

```sh
$ verb
```

## Running tests

Install dev dependencies:

```sh
$ npm i -d && npm test
```

## Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/parse-author/issues/new).

## Author

**Jon Schlinkert**

* [github/jonschlinkert](https://github.com/jonschlinkert)
* [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License

Copyright © 2016 [Jon Schlinkert](https://github.com/jonschlinkert)
Released under the [MIT license](https://github.com/jonschlinkert/parse-author/blob/master/LICENSE).

***

_This file was generated by [verb](https://github.com/verbose/verb), v0.9.0, on February 20, 2016._